#!/bin/bash

# shellcheck disable=SC2154
# Line above disables shellcheck linters:
#   * SC2154 - variable referenced but not assigned (false positive, assigned when sourced arch.sh).

taskfile_version=3.24.0

# shellcheck disable=SC2086,SC2046,SC2164
cd "$(dirname ${BASH_SOURCE[0]})"
script_path=$(pwd)

# shellcheck disable=SC1091
source "${script_path}/../helpers/arch.sh"

curl -L "https://github.com/go-task/task/releases/download/v${taskfile_version}/task_linux_${arch}.tar.gz" -o "/tmp/taskfile-${arch}.tar.gz"
file "/tmp/taskfile-${arch}.tar.gz"
tar -xf "/tmp/taskfile-${arch}.tar.gz" -C /tmp
mv "/tmp/task" /usr/local/bin
rm -rf "/tmp/*"
ls -la /usr/local/bin
